# Uses of Class
javax.swing.RowSorter.SortKey

Packages that use RowSorter.SortKey
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of RowSorter.SortKey in javax.swing

Methods in javax.swing that return types with arguments of type RowSorter.SortKey
Modifier and Type
Method
Description
`List<? extends RowSorter.SortKey>`
DefaultRowSorter.`getSortKeys()`
Returns the current sort keys.
`abstract List<? extends RowSorter.SortKey>`
RowSorter.`getSortKeys()`
Returns the current sort keys.
Method parameters in javax.swing with type arguments of type RowSorter.SortKey
Modifier and Type
Method
Description
`void`
DefaultRowSorter.`setSortKeys(List<? extends RowSorter.SortKey> sortKeys)`
Sets the sort keys.
`abstract void`
RowSorter.`setSortKeys(List<? extends RowSorter.SortKey> keys)`
Sets the current sort keys.